| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
cv::MatConstIterator Class Reference
Core functionality » Basic structures

`#include <opencv2/core/mat.hpp>`

Collaboration diagram for cv::MatConstIterator:

## Public Types
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const uchar ** | pointer
typedef uchar * | reference
typedef uchar * | value_type

## Public Member Functions
| MatConstIterator ()
| default constructor
| MatConstIterator (const Mat *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator (const Mat *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const MatConstIterator &it)
| copy constructor
ptrdiff_t | lpos () const
const uchar * | operator* () const
| returns the current matrix element
MatConstIterator & | operator++ ()
| increments the iterator
MatConstIterator | operator++ (int)
| increments the iterator
MatConstIterator & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator & | operator-- ()
| decrements the iterator
MatConstIterator | operator-- (int)
| decrements the iterator
MatConstIterator & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator & | operator= (const MatConstIterator &it)
| copy operator
const uchar * | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
void | pos (int *_idx) const
| returns the current iterator position
void | seek (const int *_idx, bool relative=false)
void | seek (ptrdiff_t ofs, bool relative=false)

## Public Attributes
size_t | elemSize
const Mat * | m
const uchar * | ptr
const uchar * | sliceEnd
const uchar * | sliceStart

## Member Typedef Documentation

## ◆ difference_type

ptrdiff_t cv::MatConstIterator::difference_type

## ◆ iterator_category

std::random_access_iterator_tag cv::MatConstIterator::iterator_category

## ◆ pointer

const uchar** cv::MatConstIterator::pointer

## ◆ reference

uchar* cv::MatConstIterator::reference

## ◆ value_type

uchar* cv::MatConstIterator::value_type

## Constructor & Destructor Documentation

## ◆ MatConstIterator() [1/6]

cv::MatConstIterator::MatConstIterator | ( |  | ) |

default constructor

## ◆ MatConstIterator() [2/6]

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m | ) |

constructor that sets the iterator to the beginning of the matrix

## ◆ MatConstIterator() [3/6]

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | int | _row,
|  | int | _col = 0 )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator() [4/6]

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | Point | _pt )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator() [5/6]

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | const int * | _idx )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator() [6/6]

cv::MatConstIterator::MatConstIterator | ( | const MatConstIterator & | it | ) |

copy constructor

## Member Function Documentation

## ◆ lpos()

ptrdiff_t cv::MatConstIterator::lpos | ( |  | ) | const

## ◆ operator*()

const uchar * cv::MatConstIterator::operator* | ( |  | ) | const

returns the current matrix element

## ◆ operator++() [1/2]

MatConstIterator & cv::MatConstIterator::operator++ | ( |  | ) |

increments the iterator

## ◆ operator++() [2/2]

MatConstIterator cv::MatConstIterator::operator++ | ( | int |  | ) |

increments the iterator

## ◆ operator+=()

MatConstIterator & cv::MatConstIterator::operator+= | ( | ptrdiff_t | ofs | ) |

shifts the iterator forward by the specified number of elements

## ◆ operator--() [1/2]

MatConstIterator & cv::MatConstIterator::operator-- | ( |  | ) |

decrements the iterator

## ◆ operator--() [2/2]

MatConstIterator cv::MatConstIterator::operator-- | ( | int |  | ) |

decrements the iterator

## ◆ operator-=()

MatConstIterator & cv::MatConstIterator::operator-= | ( | ptrdiff_t | ofs | ) |

shifts the iterator backward by the specified number of elements

## ◆ operator=()

MatConstIterator & cv::MatConstIterator::operator= | ( | const MatConstIterator & | it | ) |

copy operator

## ◆ operator[]()

const uchar * cv::MatConstIterator::operator[] | ( | ptrdiff_t | i | ) | const

returns the i-th matrix element, relative to the current

## ◆ pos() [1/2]

Point cv::MatConstIterator::pos | ( |  | ) | const

returns the current iterator position

## ◆ pos() [2/2]

void cv::MatConstIterator::pos | ( | int * | _idx | ) | const

returns the current iterator position

## ◆ seek() [1/2]

void cv::MatConstIterator::seek | ( | const int * | _idx,
|  | bool | relative = false )

## ◆ seek() [2/2]

void cv::MatConstIterator::seek | ( | ptrdiff_t | ofs,
|  | bool | relative = false )

## Member Data Documentation

## ◆ elemSize

size_t cv::MatConstIterator::elemSize

## ◆ m

const Mat* cv::MatConstIterator::m

## ◆ ptr

const uchar* cv::MatConstIterator::ptr

## ◆ sliceEnd

const uchar* cv::MatConstIterator::sliceEnd

## ◆ sliceStart

const uchar* cv::MatConstIterator::sliceStart

The documentation for this class was generated from the following file:

- opencv2/core/mat.hpp